# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\b\abs_cb5s63ty8z\clone\recipe, last modified Thu Nov  9 15:37:41 2023
# ------------------------------------------------

package:
  name: datashader
  version: 0.16.0
source:
  sha256: ed4c111957578dcb3fcff972d954f77586dafd71a7345fd5cd069d9fb050d0d1
  url: https://pypi.io/packages/source/d/datashader/datashader-0.16.0.tar.gz
build:
  entry_points:
    - datashader = datashader.__main__:main
  number: '0'
  script: C:\\b\\abs_cb5s63ty8z\\croot\\datashader_1699544282143\\_h_env\\python.exe
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vvv
  string: py39haa95532_0
requirements:
  host:
    - brotli-python 1.0.9 py39hd77b12b_7
    - ca-certificates 2023.08.22 haa95532_0
    - certifi 2023.7.22 py39haa95532_0
    - cffi 1.15.1 py39h2bbff1b_3
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - cryptography 41.0.3 py39h89fc84f_0
    - idna 3.4 py39haa95532_0
    - openssl 3.0.12 h2bbff1b_0
    - param 2.0.0 py39haa95532_0
    - pip 23.3 py39haa95532_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pyct 0.5.0 py39haa95532_0
    - pyopenssl 23.2.0 py39haa95532_0
    - pysocks 1.7.1 py39haa95532_0
    - python 3.9.18 h1aa4202_0
    - pyyaml 6.0.1 py39h2bbff1b_0
    - requests 2.31.0 py39haa95532_0
    - setuptools 68.0.0 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tzdata 2023c h04d1e81_0
    - urllib3 1.26.18 py39haa95532_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.41.2 py39haa95532_0
    - win_inet_pton 1.1.0 py39haa95532_0
    - yaml 0.2.5 he774522_0
  run:
    - colorcet
    - dask-core
    - multipledispatch
    - numba
    - numpy
    - pandas
    - param
    - pillow
    - pyct
    - python >=3.9,<3.10.0a0
    - requests
    - scipy
    - toolz
    - xarray
test:
  commands:
    - pip check || exit 0
    - datashader --version
    - datashader --help
    - datashader copy-examples --path=. --force
    - pytest --nbsmoke-run -k ".ipynb" getting_started/2_Pipeline.ipynb
  imports:
    - datashader
  requires:
    - fastparquet
    - flake8
    - holoviews
    - nbsmoke >0.5.0
    - netcdf4
    - pip
    - pytest
    - pytest-benchmark
about:
  description: 'Datashader is a data rasterization pipeline for automating the process
    of

    creating meaningful representations of large amounts of data.

    '
  dev_url: https://github.com/holoviz/datashader
  doc_url: https://datashader.org
  home: https://datashader.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Data visualization toolchain based on aggregating into a grid
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: cbc892b3-5aed-46c7-bcac-33b5fe253a13
  recipe-maintainers:
    - jbednar
    - jsignell
    - ocefpaf
    - philippjfr
  remote_url: git@github.com:AnacondaRecipes/datashader-feedstock.git
  sha: d312df86d57caf269ab8620ac38344a795afc9de
  skip-lints:
    - host_section_needs_exact_pinnings
